# Copyright (C) 2007-2009 Timesys Corporation
# yaboot make rules

# Define common macros for this yaboot from include/common.mk
$(eval $(call COMMON_SETUP,yaboot))

$(BUILD_DIR)/yaboot-$(yaboot_VERSION)/.stamp_configured:
	@touch $@
$(BUILD_DIR)/yaboot-$(yaboot_VERSION)/.stamp_built:
	$(call PRINT_INFO,building yaboot $(yaboot_VERSION))
	@cd $(yaboot_DDIR)/ && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(yaboot_MAKE_CMD) CROSS=$(TSWO_FULL_TARGET_NAME)-
	@touch $@

$(BUILD_DIR)/yaboot-$(yaboot_VERSION)/.stamp_packaged:
	@cd $(yaboot_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
        $(yaboot_BUILD_OPTIONS) \
		$(FAKEROOT_CMD) $(yaboot_MAKE_CMD) CROSS=$(TSWO_FULL_TARGET_NAME)- ROOT=$(yaboot_PKG_INSTALL_DIR) install
	@touch $@
$(BUILD_DIR)/yaboot-$(yaboot_VERSION)/.stamp_host_installed:
	@touch $@
$(BUILD_DIR)/yaboot-$(yaboot_VERSION)/.stamp_rfs_installed:
	@touch $@
$(BUILD_DIR)/yaboot-$(yaboot_VERSION)/.stamp_checked:
	@touch $@

# add to packages list
ifeq (y,$(TSWO_BOOTLOADER_yaboot))
SOFTWARE+=yaboot
endif


# vim:set noexpandtab: 
