# Copyright (C) 2007-2009 Timesys Corporation
# tar RFS image make rules

.PHONY: rfs-image-tar

rfs-image-tar: $(BUILD_DIR)/.rfs.sh
	$(call PRINT_INFO,creating tarball RFS image)
	mkdir -p $(IMAGES_DIR)/rfs
	cd $(TSWO_RFS_INSTALL_DIR) && \
		PATH=$(BUILD_PATH) \
		$(FAKEROOT_CMD) /bin/bash -c "/bin/bash $(BUILD_DIR)/.rfs.sh; \
			$(TAR) -cf $(IMAGES_DIR)/rfs/rootfs.tar ."
	gzip -9 -f $(IMAGES_DIR)/rfs/rootfs.tar

# add to RFS_IMAGES list
ifeq (y,$(TSWO_RFS_FS_tar))
RFS_IMAGES+=tar
endif


# vim:set noexpandtab: 
