# Copyright (C) 2007-2010 Timesys Corporation
# connman-gnome rules

# Define common macros for connman-gnome from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,connman-gnome))

connman-gnome_OPTIONAL_DEPS=dhcp dhcpcd policykit udev
connman-gnome_OPTIONAL_DEPS_TARGETS=$(foreach pkg,$(connman-gnome_OPTIONAL_DEPS), $(if $(TSWO_SOFTWARE_$(pkg)),$(pkg)-host-install,))
connman-gnome-patch: $(connman-gnome_OPTIONAL_DEPS_TARGETS)

$(BUILD_DIR)/connman-gnome-$(connman-gnome_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/{connman-applet,connman-properties}
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_connman-gnome))
SOFTWARE+=connman-gnome
endif


# vim:set noexpandtab filetype=make: 
