# Copyright (C) 2007-2010 Timesys Corporation
# enchant rules

# Define common macros for enchant from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,enchant))


$(BUILD_DIR)/enchant-$(enchant_VERSION)/.stamp_post_host_installed:
	rm -f $(TSWO_HOST_INSTALL_DIR)/bin/enchant*
	@touch $@

# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_enchant))
SOFTWARE+=enchant
endif


# vim:set noexpandtab filetype=make: 
