# Copyright (C) 2007-2010 Timesys Corporation
# gpe-bootsplash rules


$(eval $(call COMMON_SETUP,gpe-bootsplash))

$(BUILD_DIR)/gpe-bootsplash-$(gpe-bootsplash_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/gpe-bootsplash-$(gpe-bootsplash_VERSION)/.stamp_built:
	$(call PRINT_INFO,building gpe-bootsplash $(gpe-bootsplash_VERSION))
	cd $(gpe-bootsplash_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(gpe-bootsplash_MAKE_CMD) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
        $(gpe-bootsplash_BUILD_OPTIONS)
	@touch $@



# add to software list
ifeq (y,$(TSWO_SOFTWARE_gpe-bootsplash))
SOFTWARE+=gpe-bootsplash
endif


# vim:set noexpandtab filetype=make: 
