# Copyright (C) 2007-2010 Timesys Corporation
# gpe-question rules


$(eval $(call COMMON_SETUP,gpe-question))

$(BUILD_DIR)/gpe-question-$(gpe-question_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/gpe-question-$(gpe-question_VERSION)/.stamp_built:
	$(call PRINT_INFO,building gpe-question $(gpe-question_VERSION))
	cd $(gpe-question_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
		$(gpe-question_MAKE_CMD) \
        $(gpe-question_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/gpe-question-$(gpe-question_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing gpe-question $(gpe-question_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)
	cd $(gpe-question_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
			$(FAKEROOT_CMD) $(gpe-question_MAKE_CMD) DESTDIR=$(TSWO_RFS_INSTALL_DIR) install \
        $(gpe-question_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/gpe-question-$(gpe-question_VERSION)/.stamp_packaged:
	cd $(gpe-question_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
			$(FAKEROOT_CMD) $(gpe-question_MAKE_CMD) DESTDIR=$(gpe-question_PKG_INSTALL_DIR) install \
        $(gpe-question_BUILD_OPTIONS)
	@touch $@


# add to software list
ifeq (y,$(TSWO_SOFTWARE_gpe-question))
SOFTWARE+=gpe-question
endif


# vim:set noexpandtab filetype=make: 
