# Copyright (C) 2007-2010 Timesys Corporation
# gpe-session-scripts rules


$(eval $(call COMMON_SETUP,gpe-session-scripts))

$(BUILD_DIR)/gpe-session-scripts-$(gpe-session-scripts_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/gpe-session-scripts-$(gpe-session-scripts_VERSION)/.stamp_built:
	$(call PRINT_INFO,building gpe-session-scripts $(gpe-session-scripts_VERSION))
	cd $(gpe-session-scripts_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
		$(gpe-session-scripts_MAKE_CMD) \
        $(gpe-session-scripts_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/gpe-session-scripts-$(gpe-session-scripts_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing gpe-session-scripts $(gpe-session-scripts_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)
	cd $(gpe-session-scripts_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
			$(FAKEROOT_CMD) $(gpe-session-scripts_MAKE_CMD) DESTDIR=$(TSWO_RFS_INSTALL_DIR) install \
        $(gpe-session-scripts_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/gpe-session-scripts-$(gpe-session-scripts_VERSION)/.stamp_packaged:
	cd $(gpe-session-scripts_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
			$(FAKEROOT_CMD) $(gpe-session-scripts_MAKE_CMD) DESTDIR=$(gpe-session-scripts_PKG_INSTALL_DIR) install \
        $(gpe-session-scripts_BUILD_OPTIONS)
	@touch $@


# add to software list
ifeq (y,$(TSWO_SOFTWARE_gpe-session-scripts))
SOFTWARE+=gpe-session-scripts
endif


# vim:set noexpandtab filetype=make: 
