# Copyright (C) 2007-2010 Timesys Corporation
# gpe-soundbite rules


$(eval $(call COMMON_SETUP,gpe-soundbite))

$(BUILD_DIR)/gpe-soundbite-$(gpe-soundbite_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/gpe-soundbite-$(gpe-soundbite_VERSION)/.stamp_built:
	$(call PRINT_INFO,building gpe-soundbite $(gpe-soundbite_VERSION))
	cd $(gpe-soundbite_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
		$(gpe-soundbite_MAKE_CMD) \
        $(gpe-soundbite_BUILD_OPTIONS)
	@touch $@


# add to software list
ifeq (y,$(TSWO_SOFTWARE_gpe-soundbite))
SOFTWARE+=gpe-soundbite
endif


# vim:set noexpandtab filetype=make: 
