# Copyright (C) 2007-2010 Timesys Corporation
# nautilus rules

# Define common macros for nautilus from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,nautilus))

nautilus_OPTIONAL_DEPS=eject gamin
nautilus_OPTIONAL_DEPS_TARGETS=$(foreach pkg,$(nautilus_OPTIONAL_DEPS), $(if $(TSWO_SOFTWARE_$(pkg)),$(pkg)-host-install,))
nautilus-patch: $(nautilus_OPTIONAL_DEPS_TARGETS)

$(BUILD_DIR)/nautilus-$(nautilus_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/{nautilus-autorun-software,nautilus,nautilus-file-management-properties,nautilus-connect-server}
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_nautilus))
SOFTWARE+=nautilus
endif


# vim:set noexpandtab filetype=make: 
