# Copyright (C) 2007-2010 Timesys Corporation
# openbox rules

# Define common macros for openbox from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,openbox))

$(BUILD_DIR)/openbox-$(openbox_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/{openbox-gnome-session,openbox-session,openbox,openbox-kde-session,obprop,gdm-control,gnome-panel-control}
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_openbox))
SOFTWARE+=openbox
endif


# vim:set noexpandtab filetype=make: 
