# Copyright (C) 2007-2010 Timesys Corporation
# sapwood rules

# Define common macros for sapwood from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,sapwood))


$(BUILD_DIR)/sapwood-$(sapwood_VERSION)/.stamp_pre_configured:
	cd $(sapwood_DDIR) && \
		NOCONFIGURE=1 ./autogen.sh
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_sapwood))
SOFTWARE+=sapwood
endif


# vim:set noexpandtab filetype=make: 
