# Copyright (C) 2007-2010 Timesys Corporation
# xdm rules

# Define common macros for xdm from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,xdm))

xdm_OPTIONAL_DEPS=libXinerama libXft libXpm
xdm_OPTIONAL_DEPS_TARGETS=$(foreach pkg,$(xdm_OPTIONAL_DEPS), $(if $(TSWO_SOFTWARE_$(pkg)),$(pkg)-host-install,))
xdm-patch: $(xdm_OPTIONAL_DEPS_TARGETS)

$(BUILD_DIR)/xdm-$(xdm_VERSION)/.stamp_host_installed:
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_xdm))
SOFTWARE+=xdm
endif


# vim:set noexpandtab filetype=make: 
