# Copyright (C) 2007-2010 Timesys Corporation
# xfce4-panel rules

# Define common macros for xfce4-panel from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,xfce4-panel))

$(BUILD_DIR)/xfce4-panel-$(xfce4-panel_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/{xfce4-panel,xfce4-popup-windowlist}
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_xfce4-panel))
SOFTWARE+=xfce4-panel
endif


# vim:set noexpandtab filetype=make: 
