# Copyright (C) 2007-2010 Timesys Corporation
# rt-tests rules

# Define common macros for rt-tests from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,rt-tests))

$(BUILD_DIR)/rt-tests-$(rt-tests_VERSION)/.stamp_configured:
	@touch $@

#$(BUILD_DIR)/rt-tests-$(rt-tests_VERSION)/.stamp_built:
#	$(call PRINT_INFO,building rt-tests $(rt-tests_VERSION))
#	cd $(rt-tests_DDIR) && \
#		PATH=$(BUILD_PATH) \
#		$(TARGET_ALIASES) \
#		$(TARGET_BUILD_OPTIONS) \
#        $(rt-tests_BUILD_OPTIONS) \
#		$(rt-tests_MAKE_CMD)
#	@touch $@

#$(BUILD_DIR)/rt-tests-$(rt-tests_VERSION)/.stamp_rfs_installed:
#	$(call PRINT_INFO,installing rt-tests $(rt-tests_VERSION) to the RFS)
#	@mkdir -p $(TSWO_RFS_INSTALL_DIR)
#	cd $(rt-tests_DDIR) && \
#		PATH=$(BUILD_PATH) \
#		$(TARGET_ALIASES) \
#        $(rt-tests_BUILD_OPTIONS) \
#			$(FAKEROOT_CMD) $(rt-tests_MAKE_CMD) DESTDIR=$(TSWO_RFS_INSTALL_DIR) install
#	@touch $@

$(BUILD_DIR)/rt-tests-$(rt-tests_VERSION)/.stamp_host_installed:
	@touch $@

#$(BUILD_DIR)/rt-tests-$(rt-tests_VERSION)/.stamp_pre_packaged:
#	$(call PRINT_INFO,packaging rt-tests $(rt-tests_VERSION))
#	@mkdir -p $(rt-tests_PKG_INSTALL_DIR)
#	@touch $@
#$(BUILD_DIR)/rt-tests-$(rt-tests_VERSION)/.stamp_packaged:
#	cd $(rt-tests_DDIR) && \
#		PATH=$(BUILD_PATH) \
#		$(TARGET_ALIASES) \
#        $(rt-tests_BUILD_OPTIONS) \
#		$(FAKEROOT_CMD) $(rt-tests_MAKE_CMD) DESTDIR=$(rt-tests_PKG_INSTALL_DIR) install
#	@touch $@
#$(BUILD_DIR)/rt-tests-$(rt-tests_VERSION)/.stamp_post_packaged:
#	$(call CREATE_PACKAGE, rt-tests,$(rt-tests_PKG_INSTALL_DIR),$(rt-tests_PKG_NAME),$(rt-tests_VERSION),$(rt-tests_BUILDNUM),$(rt-tests_RUNTIME_DEPENDS))
#	@rm -rf $(rt-tests_PKG_INSTALL_DIR)
#	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_rt-tests))
SOFTWARE+=rt-tests
endif

# vim:set noexpandtab filetype=make: 
