# Copyright (C) 2007-2010 Timesys Corporation
# fontconfig rules


$(eval $(call COMMON_SETUP,fontconfig))


# build some of the subdirs on the host
$(BUILD_DIR)/fontconfig-$(fontconfig_VERSION)/.stamp_pre_built:
	@cd $(fontconfig_DDIR) && \
		$(MAKE) -C fc-case all CFLAGS=
	@cd $(fontconfig_DDIR) && \
		$(MAKE) -C fc-lang all CFLAGS=
	@cd $(fontconfig_DDIR) && \
		$(MAKE) -C fc-case all CFLAGS=
	@cd $(fontconfig_DDIR) && \
		$(MAKE) -C fc-lang all CFLAGS=
	@cd $(fontconfig_DDIR) && \
		$(MAKE) -C fc-glyphname all CFLAGS=
	@cd $(fontconfig_DDIR) && \
		$(MAKE) -C doc all CFLAGS=
	@cd $(fontconfig_DDIR) && \
		$(MAKE) -C fc-arch all CFLAGS=
	@touch $@

$(BUILD_DIR)/fontconfig-$(fontconfig_VERSION)/.stamp_post_host_installed:
	@rm -f $(TSWO_HOST_INSTALL_DIR)/bin/fc-{cache,cat,list,match,query,scan}
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_fontconfig))
SOFTWARE+=fontconfig
endif


# vim:set noexpandtab filetype=make: 
