# Copyright (C) 2007-2010 Timesys Corporation
# gtkhtml rules

# Define common macros for gtkhtml from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,gtkhtml))

ifeq (y,$(TSWO_SOFTWARE_libsoup))
gtkhtml-patch: libsoup-host-install
endif

$(BUILD_DIR)/gtkhtml-$(gtkhtml_VERSION)/.stamp_post_host_installed:
	@rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/gtkhtml-editor-test
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_gtkhtml))
SOFTWARE+=gtkhtml
endif


# vim:set noexpandtab filetype=make: 
