# Copyright (C) 2007-2010 Timesys Corporation
# libgtkinput rules


$(eval $(call COMMON_SETUP,libgtkinput))


$(BUILD_DIR)/libgtkinput-$(libgtkinput_VERSION)/.stamp_post_rfs_installed:
	mkdir -p $(TSWO_RFS_INSTALL_DIR)/etc/X11/Xsession.d
	-cp -f $(libgtkinput_SRC_DL_DIR)/02gtkinput $(TSWO_RFS_INSTALL_DIR)/etc/X11/Xsession.d/
	-chmod +x $(TSWO_RFS_INSTALL_DIR)/etc/X11/Xsession.d/02gtkinput
	@touch $(@);

$(BUILD_DIR)/libgtkinput-$(libgtkinput_VERSION)/.stamp_setup_xinit: $(BUILD_DIR)/libgtkinput-$(libgtkinput_VERSION)/.stamp_packaged
	mkdir -p $(libgtkinput_PKG_INSTALL_DIR)/etc/X11/Xsession.d
	-cp -f $(libgtkinput_SRC_DL_DIR)/02gtkinput $(libgtkinput_PKG_INSTALL_DIR)/etc/X11/Xsession.d/
	-chmod +x $(libgtkinput_PKG_INSTALL_DIR)/etc/X11/Xsession.d/02gtkinput
	@touch $(@);
$(BUILD_DIR)/libgtkinput-$(libgtkinput_VERSION)/.stamp_post_packaged: $(BUILD_DIR)/libgtkinput-$(libgtkinput_VERSION)/.stamp_setup_xinit


# add to software list
ifeq (y,$(TSWO_SOFTWARE_libgtkinput))
SOFTWARE+=libgtkinput
endif


# vim:set noexpandtab filetype=make: 
