# Copyright (C) 2007-2010 Timesys Corporation
# librsvg rules


$(eval $(call COMMON_SETUP,librsvg))

$(BUILD_DIR)/librsvg-$(librsvg_VERSION)/.stamp_post_host_installed:
	@rm -f $(TSWO_HOST_INSTALL_DIR)/bin/{rsvg-convert,rsvg-view}
	@touch $@

$(BUILD_DIR)/librsvg-$(librsvg_VERSION)/.stamp_pre_configured:
	@cd $(librsvg_DDIR) && \
	find . -name ltmain.sh -exec $(SED) -i.orig -re '/add_dir="-L\$$libdir"/d' {} \;
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_librsvg))
SOFTWARE+=librsvg
endif


# vim:set noexpandtab filetype=make: 
