# Copyright (C) 2007-2010 Timesys Corporation
# dirac rules

# Define common macros for dirac from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,dirac))


$(BUILD_DIR)/dirac-$(dirac_VERSION)/.stamp_pre_built:
	cd $(dirac_DDIR) && \
		$(SED) -i -re "/^DOC_DIR = doc/d" Makefile
	@touch $@

$(BUILD_DIR)/dirac-$(dirac_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/{RGBtoYUV411,UYVYtoRGB,YUV420pt75filter,YUV422ItoYUV420I,RGBtoYUV422,YUV420toRGB,BMPtoRGB,YUV420Down2x2,dirac_encoder,dirac_decoder,dirac_instrumentation,RGBtoYUV420,YUV411toRGB,YUV420toYUV422,create_dirac_testfile.pl,RGBtoBMP,UYVYtoYUV422,YUV422toYUV420,RGBtoYUV444,YUV444toRGB,YUV422toRGB,RGBtoUYVY,YUV422toUYVY,YUV420ItoYUV422I}
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_dirac))
SOFTWARE+=dirac
endif


# vim:set noexpandtab filetype=make: 
