# Copyright (C) 2007-2010 Timesys Corporation
# faad2 rules


$(eval $(call COMMON_SETUP,faad2))


$(BUILD_DIR)/faad2-$(faad2_VERSION)/.stamp_pre_configured:
	@cd $(faad2_DDIR) && \
		sed 's/^dnl AC_PROG_CXX/AC_PROG_CXX/' -i configure.in && \
		autoreconf -i
	@touch $@

$(BUILD_DIR)/faad2-$(faad2_VERSION)/.stamp_post_host_installed:
	@rm -f $(TSWO_HOST_INSTALL_DIR)/bin/{faad,faad2}
	@touch $@


# add to software list
ifeq (y,$(TSWO_SOFTWARE_faad2))
SOFTWARE+=faad2
endif


# vim:set noexpandtab filetype=make: 
