# Copyright (C) 2007-2009 Timesys Corporation
# gst-plugins-ugly rules

# Define common macros for gst-plugins-ugly from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,gst-plugins-ugly))

gst-plugins-ugly_OPTIONAL_DEPS=libid3tag libmad mpeg2dec twolame lame
gst-plugins-ugly_OPTIONAL_DEPS_TARGETS=$(foreach pkg,$(gst-plugins-ugly_OPTIONAL_DEPS), $(if $(TSWO_SOFTWARE_$(pkg)),$(pkg)-host-install,))
gst-plugins-ugly-patch: $(gst-plugins-ugly_OPTIONAL_DEPS_TARGETS)


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_gst-plugins-ugly))
SOFTWARE+=gst-plugins-ugly
endif


# vim:set noexpandtab filetype=make: 
