# Copyright (C) 2007-2010 Timesys Corporation
# lame rules

# Define common macros for lame from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,lame))

$(BUILD_DIR)/lame-$(lame_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/lame
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_lame))
SOFTWARE+=lame
endif


# vim:set noexpandtab filetype=make: 
