# Copyright (C) 2007-2010 Timesys Corporation
# mp4-demuxer rules


# Define common macros for mp4-demuxer from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,mp4-demuxer))


$(BUILD_DIR)/mp4-demuxer-$(mp4-demuxer_VERSION)/.stamp_pre_configured:
	cd $(mp4-demuxer_DDIR) && \
		./autogen.sh
	@touch $@

# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_mp4-demuxer))
SOFTWARE+=mp4-demuxer
endif


# vim:set noexpandtab filetype=make: 
