# Copyright (C) 2007-2010 Timesys Corporation
# wmv9mp-decode rules

# Define common macros for wmv9mp-decode from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,wmv9mp-decode))


$(BUILD_DIR)/wmv9mp-decode-$(wmv9mp-decode_VERSION)/.stamp_pre_configured:
	cd $(wmv9mp-decode_DDIR) && \
		./autogen.sh
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_wmv9mp-decode))
SOFTWARE+=wmv9mp-decode
endif


# vim:set noexpandtab filetype=make: 
