# Copyright (C) 2007-2010 Timesys Corporation
# dropbear rules

# Define common macros for this dropbear from include/common.mk
$(eval $(call COMMON_SETUP,dropbear))


$(BUILD_DIR)/dropbear-$(dropbear_VERSION)/.stamp_post_rfs_installed:
	$(call PRINT_INFO,performing post RFS install steps for dropbear)
	mkdir -p $(TSWO_RFS_INSTALL_DIR)/etc/init.d
	-cp -f $(dropbear_SRC_DL_DIR)/S50dropbear $(TSWO_RFS_INSTALL_DIR)/etc/init.d/
	chmod +x $(TSWO_RFS_INSTALL_DIR)/etc/init.d/S50dropbear
	@touch $@

$(BUILD_DIR)/dropbear-$(dropbear_VERSION)/.stamp_setup_initscripts: $(BUILD_DIR)/dropbear-$(dropbear_VERSION)/.stamp_packaged
	$(call PRINT_INFO,setting up dropbear init script)
	mkdir -p $(dropbear_PKG_INSTALL_DIR)/etc/init.d
	-cp -f $(dropbear_SRC_DL_DIR)/S50dropbear $(dropbear_PKG_INSTALL_DIR)/etc/init.d/
	-chmod +x $(dropbear_PKG_INSTALL_DIR)/etc/init.d/S50dropbear
	@touch $@

$(BUILD_DIR)/dropbear-$(dropbear_VERSION)/.stamp_post_packaged: $(BUILD_DIR)/dropbear-$(dropbear_VERSION)/.stamp_setup_initscripts

# add to software list
ifeq (y,$(TSWO_SOFTWARE_dropbear))
SOFTWARE+=dropbear
endif

# vim:set noexpandtab: 
