# Copyright (C) 2007-2010 Timesys Corporation
# iana-etc rules

# Define common macros for iana-etc from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,iana-etc))


$(BUILD_DIR)/iana-etc-$(iana-etc_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/iana-etc-$(iana-etc_VERSION)/.stamp_host_installed:
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_iana-etc))
SOFTWARE+=iana-etc
endif


# vim:set noexpandtab filetype=make: 
