# Copyright (C) 2007-2010 Timesys Corporation
# libmicrohttpd rules

# Define common macros for libmicrohttpd from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,libmicrohttpd))

libmicrohttpd_OPTIONAL_DEPS=curl gnutls openssl
libmicrohttpd_OPTIONAL_DEPS_TARGETS=$(foreach pkg,$(libmicrohttpd_OPTIONAL_DEPS), $(if $(TSWO_SOFTWARE_$(pkg)),$(pkg)-host-install,))
libmicrohttpd-patch: $(libmicrohttpd_OPTIONAL_DEPS_TARGETS)


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_libmicrohttpd))
SOFTWARE+=libmicrohttpd
endif


# vim:set noexpandtab filetype=make: 
