# Copyright (C) 2007-2010 Timesys Corporation
# libnice rules

# Define common macros for libnice from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,libnice))

ifeq (y,$(TSWO_SOFTWARE_gupnp))
libnice-patch: gupnp-host-install
endif

$(BUILD_DIR)/libnice-$(libnice_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/{stunbdc,stund}
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_libnice))
SOFTWARE+=libnice
endif


# vim:set noexpandtab filetype=make: 
