# Copyright (C) 2007-2010 Timesys Corporation
# libproxy rules

# Define common macros for libproxy from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,libproxy))

libsndfile_OPTIONAL_DEPS=mono python webkit
libproxy_OPTIONAL_DEPS_TARGETS=$(foreach pkg,$(libproxy_OPTIONAL_DEPS), $(if $(TSWO_SOFTWARE_$(pkg)),$(pkg)-host-install,))
libsndfile-patch: $(libsndfile_OPTIONAL_DEPS_TARGETS)

$(BUILD_DIR)/libproxy-$(libproxy_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/proxy
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_libproxy))
SOFTWARE+=libproxy
endif


# vim:set noexpandtab filetype=make: 
