# Copyright (C) 2007-2010 Timesys Corporation
# maildrop rules

# Define common macros for maildrop from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,maildrop))


$(BUILD_DIR)/maildrop-$(maildrop_VERSION)/.stamp_pre_built:
	cd $(maildrop_DDIR) && \
		$(SED) -i.orig '/makedat\/makedatprog $(DESTDIR)/d' Makefile
	@touch $@

$(BUILD_DIR)/maildrop-$(maildrop_VERSION)/.stamp_host_installed:
	@touch $@

# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_maildrop))
SOFTWARE+=maildrop
endif


# vim:set noexpandtab filetype=make: 
