# Copyright (C) 2007-2010 Timesys Corporation
# obexftp rules

# Define common macros for obexftp from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,obexftp))

$(BUILD_DIR)/obexftp-$(obexftp_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/{obexftp,obexftpd}
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_obexftp))
SOFTWARE+=obexftp
endif


# vim:set noexpandtab filetype=make: 
