# Copyright (C) 2007-2010 Timesys Corporation
# telepathy-glib rules

# Define common macros for telepathy-glib from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,telepathy-glib))

telepathy-glib_OPTIONAL_DEPS=openssl
telepathy-glib_OPTIONAL_DEPS_TARGETS=$(foreach pkg,$(telepathy-glib_OPTIONAL_DEPS), $(if $(TSWO_SOFTWARE_$(pkg)),$(pkg)-host-install,))
telepathy-glib-patch: $(telepathy-glib_OPTIONAL_DEPS_TARGETS)


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_telepathy-glib))
SOFTWARE+=telepathy-glib
endif


# vim:set noexpandtab filetype=make: 
