# Copyright (C) 2007-2010 Timesys Corporation
# libmozjs rules

# Define common macros for libmozjs from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,libmozjs))

ifeq (y,$(TSWO_powerpc))
libmozjs_BUILD_OPTIONS+=ac_cv_va_val_copy=no
endif

$(BUILD_DIR)/libmozjs-$(libmozjs_VERSION)/.stamp_pre_built:
	cd $(libmozjs_DDIR) && \
		$(MAKE) HOST_CFLAGS= HOST_CXXFLAGS= HOST_CC=gcc NSPR_CONFIG= NSPR_CFLAGS= NSPR_LIBS= LIBS_PATH= HOST_CXX=g++ jscpucfg host_jskwgen host_jsoplengen
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_libmozjs))
SOFTWARE+=libmozjs
endif


# vim:set noexpandtab filetype=make: 
