# Copyright (C) 2007-2010 Timesys Corporation
# libibverbs rules

# Define common macros for libibverbs from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,libibverbs))

$(BUILD_DIR)/libibverbs-$(libibverbs_VERSION)/.stamp_post_host_installed:
	@rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/{ibv_asyncwatch,ibv_devinfo,ibv_rc_pingpong,ibv_ud_pingpong,ibv_srq_pingpong,ibv_devices,ibv_uc_pingpong}
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_libibverbs))
SOFTWARE+=libibverbs
endif


# vim:set noexpandtab filetype=make: 
