# Copyright (C) 2007-2010 Timesys Corporation
# module-init-tools rules

# Define common macros for this module-init-tools from include/common.mk
$(eval $(call COMMON_SETUP,module-init-tools))

$(BUILD_DIR)/module-init-tools-$(module-init-tools_VERSION)/.stamp_host_installed:
	@touch $@

$(BUILD_DIR)/module-init-tools-$(module-init-tools_VERSION)/.stamp_init_rfs_installed: DESTDIR=$(TSWO_RFS_INSTALL_DIR)
$(BUILD_DIR)/module-init-tools-$(module-init-tools_VERSION)/.stamp_init_packaged: DESTDIR=$(module-init-tools_PKG_INSTALL_DIR)
$(BUILD_DIR)/module-init-tools-$(module-init-tools_VERSION)/.stamp_post_rfs_installed: $(BUILD_DIR)/module-init-tools-$(module-init-tools_VERSION)/.stamp_init_rfs_installed
$(BUILD_DIR)/module-init-tools-$(module-init-tools_VERSION)/.stamp_post_packaged: $(BUILD_DIR)/module-init-tools-$(module-init-tools_VERSION)/.stamp_init_packaged
$(BUILD_DIR)/module-init-tools-$(module-init-tools_VERSION)/.stamp_init_rfs_installed $(BUILD_DIR)/module-init-tools-$(module-init-tools_VERSION)/.stamp_init_packaged:
	$(call PRINT_INFO,installing module-init-tools init scripts)
	mkdir -p $(DESTDIR)/etc/init.d
	-cp -f $(module-init-tools_SRC_DL_DIR)/S[0-9][0-9]* $(DESTDIR)/etc/init.d/
	-chmod +x $(DESTDIR)/etc/init.d/*
	touch $(DESTDIR)/etc/modules
	@touch $@



# add to software list
ifeq (y,$(TSWO_SOFTWARE_module-init-tools))
SOFTWARE+=module-init-tools
endif


# vim:set noexpandtab: 
