# Copyright (C) 2007-2010 Timesys Corporation
# at rules

# Define common macros for this at from include/common.mk
$(eval $(call COMMON_SETUP,at))


$(BUILD_DIR)/at-$(at_VERSION)/.stamp_post_rfs_installed:
	$(call PRINT_INFO,performing post RFS install steps for at)
	mkdir -p $(TSWO_RFS_INSTALL_DIR)/etc/init.d
	-cp -f $(at_SRC_DL_DIR)/S25-atd $(TSWO_RFS_INSTALL_DIR)/etc/init.d/
	-chmod +x $(TSWO_RFS_INSTALL_DIR)/etc/init.d/S25-atd
	@touch $@

$(BUILD_DIR)/at-$(at_VERSION)/.stamp_setup_initscripts: $(BUILD_DIR)/at-$(at_VERSION)/.stamp_packaged
	$(call PRINT_INFO,setting up at init script)
	mkdir -p $(at_PKG_INSTALL_DIR)/etc/init.d
	-cp -f $(at_SRC_DL_DIR)/S25-atd $(at_PKG_INSTALL_DIR)/etc/init.d/
	-chmod +x $(at_PKG_INSTALL_DIR)/etc/init.d/S25-atd
	@touch $@

$(BUILD_DIR)/at-$(at_VERSION)/.stamp_post_packaged: $(BUILD_DIR)/at-$(at_VERSION)/.stamp_setup_initscripts


# add to software list
ifeq (y,$(TSWO_SOFTWARE_at))
SOFTWARE+=at
endif


# vim:set noexpandtab: 
