# Copyright (C) 2007-2010 Timesys Corporation
# chkconfig rules

# Define common macros for this chkconfig from include/common.mk
$(eval $(call COMMON_SETUP,chkconfig))

# XXX THIS REQUIRES libintl.h AND wchar.h (probably glibc specific)

ifeq (y,$(TSWO_LIBC_UCLIBC))
chkconfig_BUILD_OPTIONS+=LDFLAGS=-lintl
endif

$(BUILD_DIR)/chkconfig-$(chkconfig_VERSION)/.stamp_configured:
	@touch $(@)

# add to software list
ifeq (y,$(TSWO_SOFTWARE_chkconfig))
SOFTWARE+=chkconfig
endif


# vim:set noexpandtab: 
