# Copyright (C) 2007-2010 Timesys Corporation
# ebook-tools rules

# Define common macros for ebook-tools from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,ebook-tools))

$(BUILD_DIR)/ebook-tools-$(ebook-tools_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/{einfo,lit2epub}
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_ebook-tools))
SOFTWARE+=ebook-tools
endif


# vim:set noexpandtab filetype=make: 
