# Copyright (C) 2007-2010 Timesys Corporation
# enscript rules

# Define common macros for enscript from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,enscript))

ifeq (y,$(TSWO_LIBC_UCLIBC))
enscript_BUILD_OPTIONS+=LIBS=-lintl
endif

$(BUILD_DIR)/enscript-$(enscript_VERSION)/.stamp_host_installed:
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_enscript))
SOFTWARE+=enscript
endif


# vim:set noexpandtab filetype=make: 
