# Copyright (C) 2007-2010 Timesys Corporation
# gettext rules

# Define common macros for this gettext from include/common.mk
$(eval $(call COMMON_SETUP,gettext))

# XXX 0.17 seems to be broken

# XXX THIS REQUIRES WCHAR support

$(BUILD_DIR)/gettext-$(gettext_VERSION)/.stamp_pre_configured:
	@cd $(gettext_DDIR) && \
	find . -name ltmain.sh -exec $(SED) -i.orig -re '/add_dir="-L\$$libdir"/d' {} \;
	@touch $@

$(BUILD_DIR)/gettext-$(gettext_VERSION)/.stamp_post_host_installed:
	@rm -f $(TSWO_HOST_INSTALL_DIR)/{bin,usr/bin}/*gettext*
	@rm -f $(TSWO_HOST_INSTALL_DIR)/{bin,usr/bin}/msg*
	@rm -f $(TSWO_HOST_INSTALL_DIR)/{bin,usr/bin}/envsubst
	@rm -f $(TSWO_HOST_INSTALL_DIR)/{bin,usr/bin}/recode-*-latin
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_gettext))
SOFTWARE+=gettext
endif


# vim:set noexpandtab: 
