# Copyright (C) 2007-2010 Timesys Corporation
# gnome-keyring rules

# Define common macros for gnome-keyring from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,gnome-keyring))

ifeq (y,$(strip $(TSWO_SOFTWARE_pam)))
gnome-keyring-patch: pam-host-install
endif

gnome-keyring-patch: host-libtasn1

$(BUILD_DIR)/gnome-keyring-$(gnome-keyring_VERSION)/.stamp_post_host_installed:
	rm -f $(TSWO_HOST_INSTALL_DIR)/usr/bin/gnome-keyring*
	@touch $@

# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_gnome-keyring))
SOFTWARE+=gnome-keyring
endif


# vim:set noexpandtab filetype=make: 
