# Copyright (C) 2007-2010 Timesys Corporation
# libxml2 rules

# Define common macros for this libxml2 from include/common.mk
$(eval $(call COMMON_SETUP,libxml2))


# fixup lib/xml2Conf.sh
$(BUILD_DIR)/libxml2-$(libxml2_VERSION)/.stamp_post_host_installed:
	@rm -f $(TSWO_HOST_INSTALL_DIR)/bin/{xmlcatalog,xmllint,xmlwf}
	-cd $(TSWO_HOST_INSTALL_DIR)/usr/lib/ && \
		mv -f xml2Conf.sh xml2-config && \
		ln -s xml2-config xml2Conf.sh
	$(call FIX_LIBTOOL_ARCHIVES,$(TSWO_HOST_INSTALL_DIR))
	$(call FIX_CONFIG_SCRIPTS,$(TSWO_HOST_INSTALL_DIR))
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_libxml2))
SOFTWARE+=libxml2
endif


# vim:set noexpandtab: 
