# Copyright (C) 2007-2010 Timesys Corporation
# man rules

# Define common macros for this man from include/common.mk
$(eval $(call COMMON_SETUP,man))


$(BUILD_DIR)/man-$(man_VERSION)/.stamp_configured:
	@cd $(man_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
        $(man_BUILD_OPTIONS) \
		./configure -default -confdir /etc +fhs +lang all
	@touch $@

$(BUILD_DIR)/man-$(man_VERSION)/.stamp_built:
	@cd $(man_DDIR)/src && \
		$(HOSTCC) -o makemsg makemsg.c
	@cd $(man_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
        $(man_BUILD_OPTIONS) \
		$(man_MAKE_CMD)
	@touch $@

$(BUILD_DIR)/man-$(man_VERSION)/.stamp_host_installed:
	@touch $@


# add to software list
ifeq (y,$(TSWO_SOFTWARE_man))
SOFTWARE+=man
endif


# vim:set noexpandtab: 
