# Copyright (C) 2007-2010 Timesys Corporation
# opensc rules

# Define common macros for opensc from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,opensc))


$(BUILD_DIR)/opensc-$(opensc_VERSION)/.stamp_post_host_installed:
	rm -f $(TSWO_HOST_INSTALL_DIR)/usr/bin{opensc-tool,eidenv,opensc-config,pkcs15-tool,opensc-explorer,pkcs11-tool,rutoken-tool,pkcs15-crypt,cardos-info}

	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_opensc))
SOFTWARE+=opensc
endif


# vim:set noexpandtab filetype=make: 
