# Copyright (C) 2007-2010 Timesys Corporation
# watchdog rules

# Define common macros for watchdog from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,watchdog))

$(BUILD_DIR)/watchdog-$(watchdog_VERSION)/.stamp_host_installed:
	@touch $@

# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_watchdog))
SOFTWARE+=watchdog
endif


# vim:set noexpandtab filetype=make: 
