# Copyright (C) 2007-2009 Timesys Corporation
# yaffs2 RFS image make rules

.PHONY: rfs-image-yaffs2

rfs-image-yaffs2: $(BUILD_DIR)/.rfs.sh
	$(call PRINT_INFO,creating YAFFS2 RFS image)
	@mkdir -p $(IMAGES_DIR)/rfs
	@PATH=$(BUILD_PATH) \
		$(FAKEROOT_CMD) /bin/bash -c "/bin/bash $(BUILD_DIR)/.rfs.sh; \
			mkyaffs2image $(TSWO_RFS_INSTALL_DIR) \
				$(IMAGES_DIR)/rfs/rootfs.yaffs2 \
				$(TSWO_RFS_FS_yaffs2_OPTIONS)"

# add to RFS_IMAGES list
ifeq (y,$(TSWO_RFS_FS_yaffs2))
RFS_IMAGES+=yaffs2
endif


# vim:set noexpandtab: 
