# Copyright (C) 2007-2010 Timesys Corporation
# gnome-icon-theme rules

# Define common macros for gnome-icon-theme from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,gnome-icon-theme))

$(BUILD_DIR)/gnome-icon-theme-$(gnome-icon-theme_VERSION)/.stamp_post_host_installed:
	@rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/share/icons/gnome
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_gnome-icon-theme))
SOFTWARE+=gnome-icon-theme
endif


# vim:set noexpandtab filetype=make: 
