# Copyright (C) 2007-2010 Timesys Corporation
# gnome-mount rules

# Define common macros for gnome-mount from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,gnome-mount))

$(BUILD_DIR)/gnome-mount-$(gnome-mount_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/{gnome-eject,gnome-mount,gnome-umount}
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_gnome-mount))
SOFTWARE+=gnome-mount
endif


# vim:set noexpandtab filetype=make: 
