# Copyright (C) 2007-2010 Timesys Corporation
# gpe-autostarter rules


$(eval $(call COMMON_SETUP,gpe-autostarter))


$(BUILD_DIR)/gpe-autostarter-$(gpe-autostarter_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/gpe-autostarter-$(gpe-autostarter_VERSION)/.stamp_built:
	$(call PRINT_INFO,building gpe-autostarter $(gpe-autostarter_VERSION))
	cd $(gpe-autostarter_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
		$(gpe-autostarter_MAKE_CMD) \
        $(gpe-autostarter_BUILD_OPTIONS)
	@touch $@


# add to software list
ifeq (y,$(TSWO_SOFTWARE_gpe-autostarter))
SOFTWARE+=gpe-autostarter
endif


# vim:set noexpandtab filetype=make: 
