# Copyright (C) 2007-2010 Timesys Corporation
# gpe-package rules


$(eval $(call COMMON_SETUP,gpe-package))

$(BUILD_DIR)/gpe-package-$(gpe-package_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/gpe-package-$(gpe-package_VERSION)/.stamp_built:
	$(call PRINT_INFO,building gpe-package $(gpe-package_VERSION))
	cd $(gpe-package_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
		$(gpe-package_MAKE_CMD) \
        $(gpe-package_BUILD_OPTIONS)
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_gpe-package))
SOFTWARE+=gpe-package
endif


# vim:set noexpandtab filetype=make: 
