# Copyright (C) 2007-2010 Timesys Corporation
# hildon-desktop rules

# Define common macros for hildon-desktop from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,hildon-desktop))


$(BUILD_DIR)/hildon-desktop-$(hildon-desktop_VERSION)/.stamp_pre_configured:
	cd $(hildon-desktop_DDIR) && \
		NOCONFIGURE=1 ./autogen.sh
	@touch $@

$(BUILD_DIR)/hildon-desktop-$(hildon-desktop_VERSION)/.stamp_post_configured:
	cd $(hildon-desktop_DDIR) && \
		$(FIND) . -name Makefile -exec $(SED) -i -re 's/\-DMAEMO_CHANGES //' {} \;
	@touch $@



# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_hildon-desktop))
SOFTWARE+=hildon-desktop
endif


# vim:set noexpandtab filetype=make: 
