# Copyright (C) 2007-2010 Timesys Corporation
# hildon-theme-plankton rules

# Define common macros for hildon-theme-plankton from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,hildon-theme-plankton))


$(BUILD_DIR)/hildon-theme-plankton-$(hildon-theme-plankton_VERSION)/.stamp_pre_configured:
	cd $(hildon-theme-plankton_DDIR) && \
		NOCONFIGURE=1 ./autogen.sh
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_hildon-theme-plankton))
SOFTWARE+=hildon-theme-plankton
endif


# vim:set noexpandtab filetype=make: 
