# Copyright (C) 2007-2010 Timesys Corporation
# libtool2 rules

# Define common macros for libtool2 from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,libtool2))

$(BUILD_DIR)/libtool2-$(libtool2_VERSION)/.stamp_post_host_installed:
	@rm -f $(TSWO_HOST_INSTALL_DIR)/usr/bin/{libtool,libtoolize}
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_libtool2))
SOFTWARE+=libtool2
endif


# vim:set noexpandtab filetype=make: 
