# Copyright (C) 2007-2010 Timesys Corporation
# aalib rules

# Define common macros for aalib from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,aalib))


$(BUILD_DIR)/aalib-$(aalib_VERSION)/.stamp_post_host_installed:
	rm -f $(TSWO_HOST_INSTALL_DIR)/bin/{aafire,aainfo,aasavefont,aatest}
	@touch $@

# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_aalib))
SOFTWARE+=aalib
endif


# vim:set noexpandtab filetype=make: 
