# Copyright (C) 2007-2010 Timesys Corporation
# exiv2 rules

# Define common macros for exiv2 from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,exiv2))

$(BUILD_DIR)/exiv2-$(exiv2_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/exiv2
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_exiv2))
SOFTWARE+=exiv2
endif


# vim:set noexpandtab filetype=make: 
