# Copyright (C) 2007-2010 Timesys Corporation
# jasper rules

# Define common macros for jasper from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,jasper))

$(BUILD_DIR)/jasper-$(jasper_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/{jasper,imginf,tmrdemo,imgcmp}
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_jasper))
SOFTWARE+=jasper
endif


# vim:set noexpandtab filetype=make: 
