# Copyright (C) 2007-2010 Timesys Corporation
# lcms2 rules

# Define common macros for lcms2 from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,lcms2))

$(BUILD_DIR)/lcms2-$(lcms2_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/{transicc,linkicc,psicc,tificc,jpgicc}
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_lcms2))
SOFTWARE+=lcms2
endif


# vim:set noexpandtab filetype=make: 
