# Copyright (C) 2007-2010 Timesys Corporation
# libdrm rules

# Define common macros for libdrm from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,libdrm))

ifeq (y,$(strip $(TSWO_udev_BUILD_EXTRAS)))
libdrm-unpack: udev-host-install
libdrm_CONFIGURE_OPTIONS+=--enable-udev
endif
ifeq (y,$(strip $(TSWO_SOFTWARE_cairo)))
libdrm-unpack: cairo-host-install
endif

# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_libdrm))
SOFTWARE+=libdrm
endif


# vim:set noexpandtab filetype=make: 
