# Copyright (C) 2007-2010 Timesys Corporation
# wxX11 rules

# Define common macros for wxX11 from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,wxX11))

ifeq (y,$(TSWO_SOFTWARE_libXpm))
wxX11-patch: libXpm-host-install
endif
ifeq (y,$(TSWO_SOFTWARE_sdl))
wxX11-patch: sdl-host-install
endif
ifeq (y,$(TSWO_SOFTWARE_libpng))
wxX11-patch: libpng-host-install
endif
ifeq (y,$(TSWO_SOFTWARE_libjpeg))
wxX11-patch: libjpeg-host-install
endif
ifeq (y,$(TSWO_SOFTWARE_libtiff))
wxX11-patch: libtiff-host-install
endif
ifeq (y,$(TSWO_SOFTWARE_gnome-vfs))
wxX11-patch: gnome-vfs-host-install
endif
ifeq (y,$(TSWO_SOFTWARE_libhildon))
wxX11-patch: libhildon-host-install
endif
ifeq (y,$(TSWO_SOFTWARE_expat))
wxX11-patch: expat-host-install
endif


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_wxX11))
SOFTWARE+=wxX11
endif


# vim:set noexpandtab filetype=make: 
