# Copyright (C) 2007-2010 Timesys Corporation
# xfontsel rules

# Define common macros for xfontsel from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,xfontsel))


$(BUILD_DIR)/xfontsel-$(xfontsel_VERSION)/.stamp_host_installed:
	@touch $@

$(BUILD_DIR)/xfontsel-$(xfontsel_VERSION)/.stamp_rfs_installed: DESTDIR=$(TSWO_RFS_INSTALL_DIR)
$(BUILD_DIR)/xfontsel-$(xfontsel_VERSION)/.stamp_packaged: DESTDIR=$(xfontsel_PKG_INSTALL_DIR)
$(BUILD_DIR)/xfontsel-$(xfontsel_VERSION)/.stamp_rfs_installed $(BUILD_DIR)/xfontsel-$(xfontsel_VERSION)/.stamp_packaged:
	cd $(xfontsel_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(FAKEROOT_CMD) $(MAKE) install DESTDIR=$(DESTDIR) $(xfontsel_BUILD_OPTIONS)
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_xfontsel))
SOFTWARE+=xfontsel
endif


# vim:set noexpandtab filetype=make: 
