# Copyright (C) 2007-2010 Timesys Corporation
# adns rules

# Define common macros for adns from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,adns))

$(BUILD_DIR)/adns-$(adns_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/{adnslogres,adnsresfilter,adnsheloex,adnshost}
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_adns))
SOFTWARE+=adns
endif


# vim:set noexpandtab filetype=make: 
