# Copyright (C) 2007-2010 Timesys Corporation
# bridge-utils rules

# Define common macros for bridge-utils from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,bridge-utils))


$(BUILD_DIR)/bridge-utils-$(bridge-utils_VERSION)/.stamp_pre_configured:
	cd $(bridge-utils_DDIR) && chmod +x configure
	@touch $@

# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_bridge-utils))
SOFTWARE+=bridge-utils
endif


# vim:set noexpandtab filetype=make: 
