# Copyright (C) 2007-2010 Timesys Corporation
# gssdp rules

# Define common macros for gssdp from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,gssdp))

gssdp_OPTIONAL_DEPS=dbus-glib gconf libglade
gssdp_OPTIONAL_DEPS_TARGETS=$(foreach pkg,$(gssdp_OPTIONAL_DEPS), $(if $(TSWO_SOFTWARE_$(pkg)),$(pkg)-host-install,))
gssdp-patch: $(gssdp_OPTIONAL_DEPS_TARGETS)

$(BUILD_DIR)/gssdp-$(gssdp_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/gssdp-device-sniffer
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_gssdp))
SOFTWARE+=gssdp
endif


# vim:set noexpandtab filetype=make: 
