# Copyright (C) 2007-2010 Timesys Corporation
# libdnet rules

# Define common macros for libdnet from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,libdnet))

$(BUILD_DIR)/libdnet-$(libdnet_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/sbin/dnet
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_libdnet))
SOFTWARE+=libdnet
endif


# vim:set noexpandtab filetype=make: 
