# Copyright (C) 2007-2010 Timesys Corporation
# netkit-ftp rules

# Define common macros for this netkit-ftp from include/common.mk
$(eval $(call COMMON_SETUP,netkit-ftp))


$(BUILD_DIR)/netkit-ftp-$(netkit-ftp_VERSION)/.stamp_configured:
	$(call PRINT_INFO,configuring netkit-ftp $(netkit-ftp_VERSION))
	$(call CONFIG_UPDATE,$(netkit-ftp_DDIR))
	@cd $(netkit-ftp_DDIR) && rm -rf config.cache 2>/dev/null && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
        $(netkit-ftp_BUILD_OPTIONS) \
		./configure \
        	--prefix=/usr \
			--with-c-compiler=$(TSWO_FULL_TARGET_NAME)-gcc \
        	$(netkit-ftp_CONFIGURE_OPTIONS)
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_netkit-ftp))
SOFTWARE+=netkit-ftp
endif


# vim:set noexpandtab: 
