# Copyright (C) 2007-2010 Timesys Corporation
# snort rules

# Define common macros for snort from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,snort))

snort_OPTIONAL_DEPS=libdnet libnet
snort_OPTIONAL_DEPS_TARGETS=$(foreach pkg,$(snort_OPTIONAL_DEPS), $(if $(TSWO_SOFTWARE_$(pkg)),$(pkg)-host-install,))
snort-patch: $(snort_OPTIONAL_DEPS_TARGETS)

$(BUILD_DIR)/snort-$(snort_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/snort
	@touch $@

# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_snort))
SOFTWARE+=snort
endif


# vim:set noexpandtab filetype=make: 
