# Copyright (C) 2007-2010 Timesys Corporation
# usbip rules

# Define common macros for usbip from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,usbip))

ifeq (y,$(TSWO_SOFTWARE_tcp_wrappers))
usbip-patch: tcp_wrappers-host-install
endif

$(BUILD_DIR)/usbip-$(usbip_VERSION)/.stamp_pre_configured:
	cd $(usbip_DDIR)&& chmod +x configure
	@touch $@

$(BUILD_DIR)/usbip-$(usbip_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/{bind_driver,usbip,usbipd}
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_usbip))
SOFTWARE+=usbip
endif


# vim:set noexpandtab filetype=make: 
