# Copyright (C) 2007-2010 Timesys Corporation
# webkit rules

# Define common macros for webkit from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,webkit))

$(BUILD_DIR)/webkit-$(webkit_VERSION)/.stamp_post_configured:
	cd $(webkit_DDIR) && \
		$(SED) -i.badlibtool -r -e '/^Programs_GtkLauncher_LINK/{s/=CC/=CXX/;n; s/CCLD/CXXLD/}' \
			-e '/^Programs_UnitTests_LINK/{s/=CC/=CXX/;n; s/CCLD/CXXLD/}' \
			GNUmakefile
	@touch $@

$(BUILD_DIR)/webkit-$(webkit_VERSION)/.stamp_post_host_installed:
	rm -f $(TSWO_HOST_INSTALL_DIR)/bin/jsc
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_webkit))
SOFTWARE+=webkit
endif


# vim:set noexpandtab filetype=make: 
