# Copyright (C) 2007-2010 Timesys Corporation
# wireless_tools rules


$(eval $(call COMMON_SETUP,wireless_tools))


$(BUILD_DIR)/wireless_tools-$(wireless_tools_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/wireless_tools-$(wireless_tools_VERSION)/.stamp_built:
	$(call PRINT_INFO,building wireless_tools $(wireless_tools_VERSION))
	cd $(wireless_tools_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
		$(wireless_tools_MAKE_CMD) \
        $(wireless_tools_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/wireless_tools-$(wireless_tools_VERSION)/.stamp_post_host_installed:
	@rm -f $(TSWO_HOST_INSTALL_DIR)/sbin/{ifrename,iwconfig,iwevent,iwgetid,iwlist,iwpriv,iwspy}
	@touch $@

$(BUILD_DIR)/wireless_tools-$(wireless_tools_VERSION)/.stamp_post_rfs_installed: $(BUILD_DIR)/wireless_tools-$(wireless_tools_VERSION)/.stamp_iftab_rfs_installed
$(BUILD_DIR)/wireless_tools-$(wireless_tools_VERSION)/.stamp_post_packaged: $(BUILD_DIR)/wireless_tools-$(wireless_tools_VERSION)/.stamp_iftab_post_packaged
$(BUILD_DIR)/wireless_tools-$(wireless_tools_VERSION)/.stamp_iftab_rfs_installed: DESTDIR=$(TSWO_RFS_INSTALL_DIR)
$(BUILD_DIR)/wireless_tools-$(wireless_tools_VERSION)/.stamp_iftab_post_packaged: DESTDIR=$(wireless_tools_PKG_INSTALL_DIR)
$(BUILD_DIR)/wireless_tools-$(wireless_tools_VERSION)/.stamp_iftab_rfs_installed $(BUILD_DIR)/wireless_tools-$(wireless_tools_VERSION)/.stamp_iftab_post_packaged:
	mkdir -p $(DESTDIR)/etc/
	touch $(DESTDIR)/etc/iftab
	@touch $@


# add to software list
ifeq (y,$(TSWO_SOFTWARE_wireless_tools))
SOFTWARE+=wireless_tools
endif


# vim:set noexpandtab filetype=make: 
