# Copyright (C) 2007-2010 Timesys Corporation
# bash rules

# Define common macros for this package from include/common.mk
$(eval $(call COMMON_SETUP,bash))

$(BUILD_DIR)/bash-$(bash_VERSION)/.stamp_post_rfs_installed:
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)/bin/
	@if [ -f $(TSWO_RFS_INSTALL_DIR)/usr/bin/bash ]; then cp $(TSWO_RFS_INSTALL_DIR)/usr/bin/bash $(TSWO_RFS_INSTALL_DIR)/bin/;fi
	@if [ ! -e $(TSWO_RFS_INSTALL_DIR)/bin/sh ]; then cd $(TSWO_RFS_INSTALL_DIR)/bin && ln -s bash sh;fi
	@touch $(@)

$(BUILD_DIR)/bash-$(bash_VERSION)/.stamp_post_host_installed:
	@rm -f $(TSWO_HOST_INSTALL_DIR)/bin/{bash,bashbug}
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_bash))
SOFTWARE+=bash
endif

# vim:set noexpandtab: 
