# Copyright (C) 2007-2010 Timesys Corporation
# logrotate rules

# Define common macros for logrotate from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,logrotate))


# the target and modify as required.  To discard the default commands for
# a particular target, uncomment and remove the body leaving only the
# target definition and the final @touch $@.

$(BUILD_DIR)/logrotate-$(logrotate_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/logrotate-$(logrotate_VERSION)/.stamp_host_installed:
	@touch $@

# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_logrotate))
SOFTWARE+=logrotate
endif


# vim:set noexpandtab filetype=make: 
