# Copyright (C) 2007-2010 Timesys Corporation
# pm-utils rules

# Define common macros for pm-utils from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,pm-utils))

$(BUILD_DIR)/pm-utils-$(pm-utils_VERSION)/.stamp_post_host_installed:
	@rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/sbin/{pm-powersave,pm-suspend-hybrid,pm-suspend,pm-hibernate}
	@rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/{on_ac_power,pm-is-supported,pm-utils/bin,pm-utils/bin/pm-pmu,pm-utils/bin/pm-action,pm-utils/bin/pm-reset-swap}
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_pm-utils))
SOFTWARE+=pm-utils
endif


# vim:set noexpandtab filetype=make: 
