# Copyright (C) 2007-2010 Timesys Corporation
# dbus-cxx rules

# Define common macros for dbus-cxx from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,dbus-cxx))

dbus-cxx_OPTIONAL_DEPS=glibmm boost
dbus-cxx_OPTIONAL_DEPS_TARGETS=$(foreach pkg,$(dbus-cxx_OPTIONAL_DEPS), $(if $(TSWO_SOFTWARE_$(pkg)),$(pkg)-host-install,))
dbus-cxx-patch: $(dbus-cxx_OPTIONAL_DEPS_TARGETS)


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_dbus-cxx))
SOFTWARE+=dbus-cxx
endif


# vim:set noexpandtab filetype=make: 
