# Copyright (C) 2007-2010 Timesys Corporation
# glibmm rules

# Define common macros for glibmm from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,glibmm))


$(BUILD_DIR)/glibmm-$(glibmm_VERSION)/.stamp_pre_configured:
	cd $(glibmm_DDIR) && \
		find . -name ltmain.sh -exec $(SED) -i.orig -re '/add_dir="-L\$$libdir"/d' {} \;
	@touch $@

# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_glibmm))
SOFTWARE+=glibmm
endif


# vim:set noexpandtab filetype=make: 
