# Copyright (C) 2007-2010 Timesys Corporation
# gsl rules

# Define common macros for gsl from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,gsl))

$(BUILD_DIR)/gsl-$(gsl_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/{gsl-histogram,gsl-randist}
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_gsl))
SOFTWARE+=gsl
endif


# vim:set noexpandtab filetype=make: 
