# Copyright (C) 2007-2010 Timesys Corporation
# keyutils rules

# Define common macros for keyutils from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,keyutils))

$(BUILD_DIR)/keyutils-$(keyutils_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/{sbin/request-key,bin/keyctl}
	cd $(TSWO_HOST_INSTALL_DIR)lib/ && 
		rm libkeyutils.so && ln -s libkeyutils.so.1 libkeyutils.so
	@touch $@

$(BUILD_DIR)/keyutils-$(keyutils_VERSION)/.stamp_configured:
	@touch $@



# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_keyutils))
SOFTWARE+=keyutils
endif


# vim:set noexpandtab filetype=make: 
