# Copyright (C) 2007-2010 Timesys Corporation
# libIDL rules


$(eval $(call COMMON_SETUP,libIDL))


$(BUILD_DIR)/libIDL-$(libIDL_VERSION)/.stamp_fake_host_installed:
	$(call PRINT_INFO,building libIDL temporary host installation)
	@cp -rf $(libIDL_DDIR) $(libIDL_DIR)/fake_host_build
	-@cd $(libIDL_DIR)/fake_host_build && \
		$(MAKE) distclean 
	@cd $(libIDL_DIR)/fake_host_build && \
		./configure --prefix=$(BUILD_DIR)/fake \
			PKG_CONFIG_PATH=$(BUILD_DIR)/fake/lib/pkgconfig
	@cd $(libIDL_DIR)/fake_host_build && \
		$(MAKE)
	@cd $(libIDL_DIR)/fake_host_build && \
		$(MAKE) install
	@touch $@

libIDL-fake-host-install: libIDL-unpack glib2-fake-host-install $(BUILD_DIR)/libIDL-$(libIDL_VERSION)/.stamp_fake_host_installed


# add to software list
ifeq (y,$(TSWO_SOFTWARE_libIDL))
SOFTWARE+=libIDL
endif


# vim:set noexpandtab filetype=make: 
