# Copyright (C) 2007-2010 Timesys Corporation
# libhugetlbfs rules

# Define common macros for libhugetlbfs from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,libhugetlbfs))

$(BUILD_DIR)/libhugetlbfs-$(libhugetlbfs_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/libhugetlbfs-$(libhugetlbfs_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/{oprofile_map_events.pl,hugeadm,oprofile_start.sh,pagesize,hugectl,hugeedit,cpupcstat}
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/lib/perl5/TLBC
	@touch $@


ifeq (y,$(TSWO_SOFTWARE_libhugetlbfs))
SOFTWARE+=libhugetlbfs
endif


# vim:set noexpandtab filetype=make: 
