# Copyright (C) 2007-2010 Timesys Corporation
# liboil rules


$(eval $(call COMMON_SETUP,liboil))

ifeq (y,$(strip $(TSWO_xtensa)))
liboil_CONFIGURE_OPTIONS+=as_cv_unaligned_access=no
endif
ifeq (y,$(strip $(TSWO_x86_64)))
liboil_CONFIGURE_OPTIONS+=as_cv_unaligned_access=yes
endif
ifeq (y,$(TSWO_nios2))
liboil_CONFIGURE_OPTIONS+=as_cv_unaligned_access=no
endif

$(BUILD_DIR)/liboil-$(liboil_VERSION)/.stamp_post_host_installed:
	@rm -f $(TSWO_HOST_INSTALL_DIR)/bin/oil-bugreport
	@touch $@


# add to software list
ifeq (y,$(TSWO_SOFTWARE_liboil))
SOFTWARE+=liboil
endif


# vim:set noexpandtab filetype=make: 
