# Copyright (C) 2007-2010 Timesys Corporation
# lsof rules

$(eval $(call COMMON_SETUP,lsof))


$(BUILD_DIR)/lsof-$(lsof_VERSION)/.stamp_pre_configured:
	cd $(lsof_DDIR) && \
		$(SED) -i -re 's/ranlib/$(TSWO_FULL_TARGET_NAME)-ranlib/' Configure
	@touch $@

$(BUILD_DIR)/lsof-$(lsof_VERSION)/.stamp_configured:
	$(call PRINT_INFO,configuring lsof $(lsof_VERSION))
	cd $(lsof_DDIR) && \
		echo n | \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
		$(lsof_BUILD_OPTIONS) \
		./Configure linux
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_lsof))
SOFTWARE+=lsof
endif


# vim:set noexpandtab filetype=make: 
