# Copyright (C) 2007-2010 Timesys Corporation
# poppler-data rules

# Define common macros for poppler-data from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,poppler-data))

$(BUILD_DIR)/poppler-data-$(poppler-data_VERSION)/.stamp_host_installed:
	@touch $@
$(BUILD_DIR)/poppler-data-$(poppler-data_VERSION)/.stamp_configured:
	@touch $@
$(BUILD_DIR)/poppler-data-$(poppler-data_VERSION)/.stamp_built:
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_poppler-data))
SOFTWARE+=poppler-data
endif


# vim:set noexpandtab filetype=make: 
