# Copyright (C) 2007-2010 Timesys Corporation
# sqlite rules


$(eval $(call COMMON_SETUP,sqlite))


$(BUILD_DIR)/sqlite-$(sqlite_VERSION)/.stamp_post_host_installed:
	@rm -f $(TSWO_HOST_INSTALL_DIR)/bin/sqlite*
	@touch $@

# libtool braindamage
$(BUILD_DIR)/sqlite-$(sqlite_VERSION)/.stamp_pre_built:
	cd $(sqlite_DDIR) && \
		$(SED) -i -re 's/(mode=[^ ]+)/\1 --tag=CC/' Makefile
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_sqlite))
SOFTWARE+=sqlite
endif


# vim:set noexpandtab filetype=make: 
