# Copyright (C) 2007-2010 Timesys Corporation
# sysstat rules

# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,sysstat))

ifeq (y,$(TSWO_LIBC_UCLIBC))
sysstat_CONFIGURE_OPTIONS+=--disable-nls
endif

$(BUILD_DIR)/sysstat-$(sysstat_VERSION)/.stamp_varlogsa_rfs_installed: DESTDIR=$(TSWO_RFS_INSTALL_DIR)
$(BUILD_DIR)/sysstat-$(sysstat_VERSION)/.stamp_varlogsa_packaged: DESTDIR=$(sysstat_PKG_INSTALL_DIR)
$(BUILD_DIR)/sysstat-$(sysstat_VERSION)/.stamp_post_rfs_installed: $(BUILD_DIR)/sysstat-$(sysstat_VERSION)/.stamp_varlogsa_rfs_installed
$(BUILD_DIR)/sysstat-$(sysstat_VERSION)/.stamp_post_packaged: $(BUILD_DIR)/sysstat-$(sysstat_VERSION)/.stamp_varlogsa_packaged
$(BUILD_DIR)/sysstat-$(sysstat_VERSION)/.stamp_varlogsa_rfs_installed $(BUILD_DIR)/sysstat-$(sysstat_VERSION)/.stamp_varlogsa_packaged:
	mkdir -p $(DESTDIR)/var/log/sa
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_sysstat))
SOFTWARE+=sysstat
endif


# vim:set noexpandtab filetype=make: 
