# Copyright (C) 2007-2010 Timesys Corporation
# tdb rules

# Define common macros for tdb from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,tdb))

$(BUILD_DIR)/tdb-$(tdb_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/{tdbbackup,tdbtool,tdbdump}
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_tdb))
SOFTWARE+=tdb
endif


# vim:set noexpandtab filetype=make: 
