# Copyright (C) 2007-2009 Timesys Corporation
# vim:set noexpandtab: 

-include libc/glibc/glibc.mk
-include libc/uClibc/uClibc.mk

stage2_libc: stage2_cc $(LIBC)_build_stage2
stage1_libc: stage1_cc $(LIBC)_build_stage1
libc-fetch: $(LIBC)-fetch

ifeq (y,$(TSWO_RFS_NO_LIBC_INSTALL))
libc-rfs-install:
else
ifneq (y,$(TSWO_TC_FETCH))
libc-rfs-install: rfs-kernel-headers $(LIBC)-rfs-install
else
libc-rfs-install: rfs-kernel-headers $(LIBC)-binary-rfs-install
endif
endif

libc-host-install: host-kernel-headers $(LIBC)-host-install

ifneq (y,$(TSWO_TC_FETCH))
libc-package: $(LIBC)-package
else
libc-package: $(LIBC)-binary-package
endif

TOOLCHAIN+=libc
