# Copyright (C) 2007-2009 Timesys Corporation
# opxml make rules

opxml-host-install: opimport-host-install libbfd-host-build

# Define common macros for this opxml from include/common.mk
$(eval $(call COMMON_SETUP,opxml))


$(BUILD_DIR)/opxml-$(opxml_VERSION)/.stamp_configured:
	@touch $@
$(BUILD_DIR)/opxml-$(opxml_VERSION)/.stamp_built:
	@touch $@
$(BUILD_DIR)/opxml-$(opxml_VERSION)/.stamp_pre_packaged:
	@touch $@
$(BUILD_DIR)/opxml-$(opxml_VERSION)/.stamp_packaged:
	@touch $@
$(BUILD_DIR)/opxml-$(opxml_VERSION)/.stamp_post_packaged:
	@touch $@
$(BUILD_DIR)/opxml-$(opxml_VERSION)/.stamp_rfs_installed:
	@touch $@

$(BUILD_DIR)/opxml-$(opxml_VERSION)/.stamp_host_installed:
	$(call PRINT_INFO,installing opxml to the host)
	cd $(opxml_DDIR) && \
		$(opxml_MAKE_CMD) \
			CFLAGS="-I$(OPIMPORT_HOSTINSTALL_DIR)/{libdb,libop,libutil,libutil++} -I$(TSWO_FAKE_INSTALL_DIR)/include" \
			LDFLAGS="-L$(OPIMPORT_HOSTINSTALL_DIR)/{libdb,libop,libutil,libutil++} -L$(TSWO_FAKE_INSTALL_DIR)/lib" \
			BFD_LIBRARY="-lbfd -lz" \
			OPROFILE_LIBS="-lop -lodb -lutil++ -lutil"
	cd $(opxml_DDIR) && \
		cp -f opxml $(TSWO_HOST_INSTALL_DIR)/bin/
	@touch $@


# add to toolchain list
ifeq (y,$(TSWO_HOSTTOOL_opxml))
HOST_UTILITIES+=opxml
endif


# vim:set noexpandtab: 
